import { UmbLitElement } from '../../../../../core/lit-element/index.js';
import '../../../../../code-editor/index.js';
export declare class UmbStylesheetCodeEditorWorkspaceViewElement extends UmbLitElement {
    #private;
    private _content?;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbStylesheetCodeEditorWorkspaceViewElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-stylesheet-code-editor-workspace-view': UmbStylesheetCodeEditorWorkspaceViewElement;
    }
}
